Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network138.76.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
Network address
138.76.0.0
Broadcast address
138.79.255.255
First usable
138.76.0.1
Last usable
138.79.255.254
Usable hosts
262,142 (262,144 less the network and broadcast addresses)
Subnet mask
255.252.0.0
Wildcard mask
0.3.255.255 (Cisco ACLs, OSPF)
Prefix length
/14
Type
Public public
Old class
B (default /16)
As numbers
Hex 8A4C0000 · Integer 2320236544 to 2320498687
Reverse DNS zones
76.138.in-addr.arpa
77.138.in-addr.arpa
78.138.in-addr.arpa
79.138.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10001010.01001100.00000000.00000000138.76.0.0
Subnet mask11111111.11111100.00000000.00000000255.252.0.0
Network10001010.01001100.00000000.00000000138.76.0.0
Broadcast10001010.01001111.11111111.11111111138.79.255.255
Split into smaller subnets/20

138.76.0.0/14 makes 64 subnets of /20.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1138.76.0.0/20138.76.0.1 to 138.76.15.254138.76.15.2554,094
2138.76.16.0/20138.76.16.1 to 138.76.31.254138.76.31.2554,094
3138.76.32.0/20138.76.32.1 to 138.76.47.254138.76.47.2554,094
4138.76.48.0/20138.76.48.1 to 138.76.63.254138.76.63.2554,094
5138.76.64.0/20138.76.64.1 to 138.76.79.254138.76.79.2554,094
6138.76.80.0/20138.76.80.1 to 138.76.95.254138.76.95.2554,094
7138.76.96.0/20138.76.96.1 to 138.76.111.254138.76.111.2554,094
8138.76.112.0/20138.76.112.1 to 138.76.127.254138.76.127.2554,094
9138.76.128.0/20138.76.128.1 to 138.76.143.254138.76.143.2554,094
10138.76.144.0/20138.76.144.1 to 138.76.159.254138.76.159.2554,094
11138.76.160.0/20138.76.160.1 to 138.76.175.254138.76.175.2554,094
12138.76.176.0/20138.76.176.1 to 138.76.191.254138.76.191.2554,094
13138.76.192.0/20138.76.192.1 to 138.76.207.254138.76.207.2554,094
14138.76.208.0/20138.76.208.1 to 138.76.223.254138.76.223.2554,094
15138.76.224.0/20138.76.224.1 to 138.76.239.254138.76.239.2554,094
16138.76.240.0/20138.76.240.1 to 138.76.255.254138.76.255.2554,094
17138.77.0.0/20138.77.0.1 to 138.77.15.254138.77.15.2554,094
18138.77.16.0/20138.77.16.1 to 138.77.31.254138.77.31.2554,094
19138.77.32.0/20138.77.32.1 to 138.77.47.254138.77.47.2554,094
20138.77.48.0/20138.77.48.1 to 138.77.63.254138.77.63.2554,094
21138.77.64.0/20138.77.64.1 to 138.77.79.254138.77.79.2554,094
22138.77.80.0/20138.77.80.1 to 138.77.95.254138.77.95.2554,094
23138.77.96.0/20138.77.96.1 to 138.77.111.254138.77.111.2554,094
24138.77.112.0/20138.77.112.1 to 138.77.127.254138.77.127.2554,094
25138.77.128.0/20138.77.128.1 to 138.77.143.254138.77.143.2554,094
26138.77.144.0/20138.77.144.1 to 138.77.159.254138.77.159.2554,094
27138.77.160.0/20138.77.160.1 to 138.77.175.254138.77.175.2554,094
28138.77.176.0/20138.77.176.1 to 138.77.191.254138.77.191.2554,094
29138.77.192.0/20138.77.192.1 to 138.77.207.254138.77.207.2554,094
30138.77.208.0/20138.77.208.1 to 138.77.223.254138.77.223.2554,094
31138.77.224.0/20138.77.224.1 to 138.77.239.254138.77.239.2554,094
32138.77.240.0/20138.77.240.1 to 138.77.255.254138.77.255.2554,094
33138.78.0.0/20138.78.0.1 to 138.78.15.254138.78.15.2554,094
34138.78.16.0/20138.78.16.1 to 138.78.31.254138.78.31.2554,094
35138.78.32.0/20138.78.32.1 to 138.78.47.254138.78.47.2554,094
36138.78.48.0/20138.78.48.1 to 138.78.63.254138.78.63.2554,094
37138.78.64.0/20138.78.64.1 to 138.78.79.254138.78.79.2554,094
38138.78.80.0/20138.78.80.1 to 138.78.95.254138.78.95.2554,094
39138.78.96.0/20138.78.96.1 to 138.78.111.254138.78.111.2554,094
40138.78.112.0/20138.78.112.1 to 138.78.127.254138.78.127.2554,094
41138.78.128.0/20138.78.128.1 to 138.78.143.254138.78.143.2554,094
42138.78.144.0/20138.78.144.1 to 138.78.159.254138.78.159.2554,094
43138.78.160.0/20138.78.160.1 to 138.78.175.254138.78.175.2554,094
44138.78.176.0/20138.78.176.1 to 138.78.191.254138.78.191.2554,094
45138.78.192.0/20138.78.192.1 to 138.78.207.254138.78.207.2554,094
46138.78.208.0/20138.78.208.1 to 138.78.223.254138.78.223.2554,094
47138.78.224.0/20138.78.224.1 to 138.78.239.254138.78.239.2554,094
48138.78.240.0/20138.78.240.1 to 138.78.255.254138.78.255.2554,094
49138.79.0.0/20138.79.0.1 to 138.79.15.254138.79.15.2554,094
50138.79.16.0/20138.79.16.1 to 138.79.31.254138.79.31.2554,094
51138.79.32.0/20138.79.32.1 to 138.79.47.254138.79.47.2554,094
52138.79.48.0/20138.79.48.1 to 138.79.63.254138.79.63.2554,094
53138.79.64.0/20138.79.64.1 to 138.79.79.254138.79.79.2554,094
54138.79.80.0/20138.79.80.1 to 138.79.95.254138.79.95.2554,094
55138.79.96.0/20138.79.96.1 to 138.79.111.254138.79.111.2554,094
56138.79.112.0/20138.79.112.1 to 138.79.127.254138.79.127.2554,094
57138.79.128.0/20138.79.128.1 to 138.79.143.254138.79.143.2554,094
58138.79.144.0/20138.79.144.1 to 138.79.159.254138.79.159.2554,094
59138.79.160.0/20138.79.160.1 to 138.79.175.254138.79.175.2554,094
60138.79.176.0/20138.79.176.1 to 138.79.191.254138.79.191.2554,094
61138.79.192.0/20138.79.192.1 to 138.79.207.254138.79.207.2554,094
62138.79.208.0/20138.79.208.1 to 138.79.223.254138.79.223.2554,094
63138.79.224.0/20138.79.224.1 to 138.79.239.254138.79.239.2554,094
64138.79.240.0/20138.79.240.1 to 138.79.255.254138.79.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses